Package org.gradle.play.tasks

## Class PlayCoffeeScriptCompile

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.plugins.javascript.coffeescript.CoffeeScriptCompile
          - - org.gradle.play.tasks.PlayCoffeeScriptCompile

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `PatternFilterable`, `org.gradle.util.Configurable<Task>`

      @Incubating
      @Deprecated
      public class PlayCoffeeScriptCompile
      extends CoffeeScriptCompile

  Deprecated.
  Task for compiling CoffeeScript sources into JavaScript.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlayCoffeeScriptCompile()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doCompile()` | Deprecated.
    `protected org.gradle.internal.file.Deleter` | `getDeleter()` | Deprecated.
    `void` | `setCoffeeScriptJsNotation​(String notation)` | Deprecated.
    `void` | `setRhinoClasspathNotation​(String notation)` | Deprecated.

    - ### Methods inherited from class org.gradle.plugins.javascript.coffeescript.CoffeeScriptCompile

      `getCoffeeScriptJs, getDestinationDir, getObjectFactory, getOptions, getProjectLayout, getRhinoClasspath, getSource, getWorkerProcessBuilderFactory, options, options, setCoffeeScriptJs, setCoffeeScriptJs, setDestinationDir, setDestinationDir, setRhinoClasspath, setRhinoClasspath`

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getOnlyIf, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, prependParallelSafeAction, replaceLogger, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `getConvention`

- - ### Constructor Detail

    - #### PlayCoffeeScriptCompile

          public PlayCoffeeScriptCompile()

      Deprecated.

  - ### Method Detail

    - #### setCoffeeScriptJsNotation

          public void setCoffeeScriptJsNotation​(String notation)

      Deprecated.

    - #### setRhinoClasspathNotation

          public void setRhinoClasspathNotation​(String notation)

      Deprecated.

    - #### doCompile

          public void doCompile()

      Deprecated.
      Overrides:
        `doCompile` in class `CoffeeScriptCompile`

    - #### getDeleter

          @Inject
          protected org.gradle.internal.file.Deleter getDeleter()

      Deprecated.